/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*_____________________________________________________________________
 |
 | blix.h 
 |
 | (c) Frans van Hoesel, 1994, Xtreme Graphics Software
 |
*/

#ifndef BLIX_H__SEEN

extern char *basename;
extern char *datadir;
extern int noworld;
extern int notune;
extern int Lod;
extern int can_do_textures;
extern int display_scene;

void draw_introimage(void);
void draw_whatever(void);
void draw_whatever2d(void);
void spin_draw(void);
void remember_view (float *, float *);
void reset_transforms(void);
void stop_spin(void);
void toggle_zbuf(void);
void build_again(void);
void set_lod(int l);
void toggle_report(void);
void exit_program(void);
void switch_single(void);
void save_displaymode(void);
void restore_displaymode(void);

#define PRIVATHIGH 1	/* must be 1 because it is used in menu too */
#define SYSTEMHIGH 2
#define WORLDHIGH 3
#define GAME 4
#define INTRO 5
#define SORRY 6
#define PAUSED 7

#define BLIX_H_SEEN
#endif
