
BLIX(6D)              Xtreme Graphics Software                       BLIX(6D)

NAME
     blix - mouse-in-maze game

SYNOPSIS
     blix [ -s ]  [ -w ]

DESCRIPTION
     The game presents you with a mouse in a maze on a sphere. The mouse
     faces all sorts of dangers. The goal is to show the mouse through
     the maze by letting it walk using the 'mouse'.

     There are three types of monsters: spider, fish and bones.
     The spider is the slowest, but the smartest; the bones are
     very fast, so watch out.

     In the lower left corner of the screen you see your score, and
     in the right corner you see your highscore.

     A level is finished when you destroyed all the elevators in the
     maze. Elevators can only be destroyed when the door is completely
     open.

BLIX OPTIONS
     The following options can be specified on the command line

     -s   no music.
                  Initially no music (can be turned on in the program).
     -w   no worldscore.
                  Disable network access to the world-wide highscore server.

BLIX CONTROL
     The following mouse-buttons have been defined when in the blix window.

     Left button          : move the mouse in the direction of the pointer.
     Middle Button        : Rotate the sphere
     Left + Middle Button : Zoom (Move up = zoom in)
     Right Button         : Options Menu

     To place a BOMB hit the space bar on the keyboard.

BLIX CUSTOMIZATION
     Blix tries to find its data files in several different places, but if
     it complains about not being able to locate blix.dat, you might set
     the environment variable BLIXDIR to hold the path to that file (and
     all the others).

     Blix manages three lists of highscores: your personal one, a system
     wide one and a world wide one. Only your personal one is a real
     highscore list, because the other two in general show only the best
     seven players, not the seven highest scores achieved.
     For each player blix can insert an image and a name in the highscore
     list. The image should be stored in the file .bliximage in your home
     directory before you start the game. The image format used is Iris RGB
     with a maximum size of 100x100 pixels. Images that fail to match the
     specified format are silently ignored. The imagefile should be
     readable by anyone on your system.
     Instead of your username, you can use an alias. simply write one down
     in the first line of the file .blixalias and store that file in your
     home directory.

BLIX WORLD WIDE HIGHSCORE
     If you cannot connect to the world wide highscore server, or if you
     don't want to appear on that world wide highscore list, you should
     start the game with the -w option. Otherwise, the program will
     request the current highscore from the server, and if there are
     entries on that list with photographs of people you don't have,
     then blix will request those images from the server. Blix will
     remove images no longer on the highscore list. If, during your game
     run, blix discovers that you might have beaten one of the entries
     on the world wide highscore, it will send your score plus your image
     to the server.

     The world wide hishscore list can be viewed without the images on the
     www server of Silicon Graphics. Use a networkbrowser like Mosaic
     (ftp-able from ftp.ncsa.uiuc.edu) and examine
     http://www.sgi.com:8181/score.html

     If you are running your own 'world wide' highscore server, you need
     to set the environment variable BLIXSERVER to hold the numeric
     internet address which may include a port number as a suffix,
     separated from the internet address by a colon.

NOTE
     The online help in the Options Menu (via the right mouse button)
     needs showcase 3.0 or higher.
     The data files in the obj subdirectory may be compressed for saving
     diskspace, or uncompressed for faster loading.

           (c) 1994 Frans van Hoesel, hoesel@chem.rug.nl

Page 1                 Xtreme Graphics Software                 January 1994
