/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*_______________________________________________________________________
 |
 | blixnetwork.h - handles reading and writing to the server
 |
 | (c) 1994 Frans van Hoesel, hoesel@chem.rug.nl
 |              Xtreme Graphics Software
 |
*/

#ifndef BLIXNETWORK_H__SEEN

#include "blixscore_io.h"

int init_connect(void);
int make_connect(void);
int read_server(void *buf, int nbyte);
int write_server(void *buf, int nbyte);
int read_serverstr(char *buf);
int server_ready(void);
int server_wridy(void);
int read_serverscore(scorelist_t *scorelist);
void closeserver(void);
int openserver(void);

extern int initstat;


#define BLIXNETWORK_H__SEEN
#endif
