/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*_________________________________________________________________
 | 
 | ui.h
 |
 | originally written by Gavin Bell for Silicon Graphics, November 1988.
 | Greatly adapted for use with blix
 | 
 | Frans van Hoesel, Xtreme Graphics Software
*/

#ifndef BLIXUI_H__SEEN
#define BLIXUI_H__SEEN

#include "blixtrackball.h"
#include "blixvect.h"

#define UP 0
#define DOWN 1
#define MODE2D 0
#define MODE3D 1

void ui(void);
void init_ui(void);

void ui_exit(void*, int);
int do_event(void);
void enable_pop(void);
void disable_pop(void);
void enter_redraw(void);
extern int ui_noisy, ui_quiet;
extern long sizex, sizey;
extern int uimode;

#endif
