/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*------------------------------------------------------------------------------
 *
 * OORT - dashboard.h - Header for dashboard routines.
 *
 * $Id: dashboard.h,v 1.2 1994/01/28 00:17:35 mtj Exp $
 * 
 * Chris Fouts - May, 1993.
 * 
 *----------------------------------------------------------------------------*/

#ifndef	OORT_DASHBOARD_H
#define	OORT_DASHBOARD_H

/* BEGIN PROTOTYPES dashboard.c */
void    addKill( void ) ;
void    addLife( void ) ;
void    addToMessage( char c ) ;
void    drawDashboardChannel( pfChannel *channel, void *data ) ;
void    initDashboard( void ) ;
void    initMessage( char mode ) ;
void    postNewMessage( char *fmt, ... ) ;
void    setBarGraph( BarGraph *bar, float value ) ;
void    setDashboardPosition( int left, int right, int bottom, int top ) ;
void    showBarGraph( BarGraph *bar ) ;
void    updatePlayerCounter( void ) ;
/* END PROTOTYPES dashboard.c */

#endif /* OORT_DASHBOARD_H */
