/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*------------------------------------------------------------------------------
 *
 * OORT - load.h - Load data header.
 *
 * $Id: load.h,v 1.2 1994/01/28 00:19:38 mtj Exp $
 * 
 * Chris Fouts - April, 1993.
 * 
 *----------------------------------------------------------------------------*/

#ifndef	OORT_LOAD_H
#define	OORT_LOAD_H

/* BEGIN PROTOTYPES load.c */
void        initGeoStates( void ) ;
pfGroup *   loadOortShield( char *file ) ;
pfGroup *   loadOortTerrain( char *file ) ;
pfGroup *   loadOortVehicle( char *file ) ;
void        readIn( long fd, void *data, int size ) ;
/* END PROTOTYPES load.c */

#endif /* OORT_LOAD_H */
