/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/***************************************************************************
 *
 * @(#) - Oort - Multicast Socket routines.
 *
 * $Id: multicast.h,v 1.1 1993/12/30 20:56:55 fouts Exp $
 *
 *			        Chris Fouts - Silicon Graphics, Inc.
 *			        October, 1991
 **************************************************************************/
/*                                                              */
/*      Copyright (c) 1990 SGI   All Rights Reserved            */
/*      THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SGI      */
/*      The copyright notice above does not evidence any        */
/*      actual or intended publication of such source code,     */
/*      and is an unpublished work by Silicon Graphics, Inc.    */
/*      This material contains CONFIDENTIAL INFORMATION that    */
/*      is the property of Silicon Graphics, Inc. Any use,      */
/*      duplication or disclosure not specifically authorized   */
/*      by Silicon Graphics is strictly prohibited.             */
/*                                                              */
/*      RESTRICTED RIGHTS LEGEND:                               */
/*      Use, duplication or disclosure by the                   */
/*      Government is subject to restrictions                   */
/*      as set forth in subdivision (c)(1)(ii) of               */
/*      the Rights in Technical Data and Computer               */
/*      Software clause at DFARS 52.227-7013,                   */
/*      and/or in similar or successor clauses in the FAR,      */
/*      DOD or NASA FAR Supplement. Unpublished- rights         */
/*      reserved under the Copyright Laws of the United States. */
/*      Contractor is SILICON GRAPHICS, INC., 2011 N. Shoreline */
/*      Blvd., Mountain View, CA 94039-7311                     */
/*                                                              */

#if !defined(MULTICAST_H)

#define MULTICAST_H
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>


/* BEGIN PROTOTYPES multicast.c */
int openMulticastSocket( struct sockaddr_in *addr, u_short port, u_char ttl,
        u_char loop, const char *group, const char *interface,
        const char *mode_str ) ;
/* END PROTOTYPES multicast.c */

#endif /* !defined(MULTICAST_H) */
