/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _OGL_H_
#define _OGL_H_

/* BEGIN PROTOTYPES ogl.c */
void    checkGlError( char *label ) ;
void    createIntroOglWidget( Widget parent, Arg pargs[], int pn ) ;
Widget  createMainOglWidget( Widget parent, Arg pargs[], int pn ) ;
void    createPreviewOglWidget( Widget parent, Arg pargs[], int pn ) ;
void    defaultLod( void ) ;
void    drawIt( int startCar ) ;
void    drawPostRaceOverlay( float finishTime, float raceTime,
            char position[] ) ;
void    drawPostTrialOverlay( float t, char position[] ) ;
void    drawPreTrialOverlay( float t, char position[], int timeTrial,
            int showRecord ) ;
void    drawRaceOverlay( float t, int laps, int dLaps, int ahead,
            char position[] ) ;
void    drawTrialOverlay( float t, char position[] ) ;
void    noteTrackRecords( void ) ;
void    timeGraphics( void ) ;
/* END PROTOTYPES ogl.c */

#endif /* !_OGL_H_ */
