/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*------------------------------------------------------------------------------
 *
 * OORT - gameio.h - Header for game i/o routines.
 *
 * $Id: gameio.h,v 1.2 1994/01/28 00:18:36 mtj Exp $
 * 
 * Chris Fouts - May, 1993.
 * 
 *----------------------------------------------------------------------------*/

#ifndef	OORT_GAMEIO_H
#define	OORT_GAMEIO_H

/* BEGIN PROTOTYPES gameio.c */
void    initCom( void ) ;
void    mailMessage( char team, char *msg ) ;
void    sendOut( void *buf, int size ) ;
void    sendToFile( void *buf, int size ) ;
void    sendToNetwork( char *buf, int size ) ;
/* END PROTOTYPES gameio.c */


#define	OORT_GROUP	"224.0.1.2"

#endif /* OORT_GAMEIO_H */
