/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*------------------------------------------------------------------------------
 *
 * OORT - sound.h - Header for sound routines.
 *
 * $Id: sound.h,v 1.2 1994/01/28 00:21:32 mtj Exp $
 * 
 * Chris Fouts - May, 1993.
 * 
 *----------------------------------------------------------------------------*/

#ifndef	OORT_SOUND_H
#define	OORT_SOUND_H

#define	SFX_FIRE	0
#define	SFX_HIT		1
#define	SFX_OK		2
#define	SFX_NOT_OK	3
#define	SFX_STATIC	4
#define	SFX_ALARM	5
#define	SFX_NEWMAIL	6
#define	SFX_N_SOUNDS	7

/* BEGIN PROTOTYPES sound.c */
void    endSound( void ) ;
int     initSound( void ) ;
void    setVolume( int level ) ;
void    sfx( int sound ) ;
int     volumeChange( int direction ) ;
/* END PROTOTYPES sound.c */

#endif /* OORT_SOUND_H */
