/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*------------------------------------------------------------------------------
 *
 * OORT - vehicle.h - Header for vehicle routines.
 *
 * $Id: vehicle.h,v 1.2 1994/01/28 00:23:07 mtj Exp $
 * 
 * Chris Fouts - April, 1993.
 * 
 *----------------------------------------------------------------------------*/

#ifndef	OORT_VEHICLE_H
#define	OORT_VEHICLE_H

/* BEGIN PROTOTYPES vehicle.c */
void    applyBrakes( void ) ;
void    changeAcceleration( float factor ) ;
void    getDistanceToGround( pfGroup *node, pfVec3 intersection[3],
            pfVec3 n[3], pfVec3 pt0, pfVec3 pt1, pfVec3 pt2 ) ;
void    moveSelf( pfGroup *node ) ;
void    updateWheels( void ) ;
/* END PROTOTYPES vehicle.c */

#endif /* OORT_VEHICLE_H */
