/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#include <stdio.h>

#include "display.h"

short me = 0;  /* index of my creature */
short num_players = 1; /* how many creatures are there */

void main(int argc, char** argv)
{
  if (argc == 1) 
  {
    fprintf(stderr, "usage: tagh server\n");
    exit(-1);
  }

  field_compute(); /* create the playing field */
  posts_compute();  /* create the goalposts */
  chips_compute();  /* create the playing chips */
  creatures_compute(); /* make the players */

  net_init(argv[1]);

  display_init();


  camera_init();
  display_loop();		/* the event loop */
}
