/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _CLIENT_H_
#define _CLIENT_H_

#define	VROOM_CLIENT_INPUT_PORT		5139
#define	VROOM_CLIENT_INPUT_SERVICE	"sgi-vroom-client"

/* BEGIN PROTOTYPES client.c */
void    clientRun( void ) ;
void    createServerSelector( Widget parent ) ;
void    exitClientCB( Widget w, XtPointer clientData, XtPointer callData ) ;
void    initTeamGame( void ) ;
void    listenForServers( void ) ;
void    restartTeamCB( Widget w, XtPointer clientData, XtPointer callData ) ;
void    sendServerMsgPacket( char *msg ) ;
void    serverCourseSelectionCB( Widget w, Widget list, XtPointer callData ) ;
void    serverFind( void ) ;
void    serverRead( void ) ;
void    teamExit( void ) ;
/* END PROTOTYPES client.c */

#endif /* !_CLIENT_H_ */
