/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef _CURVED_H_
#define _CURVED_H_

#include "track.h"

/* BEGIN PROTOTYPES curved.c */
Track *     createLeftCurvedTrack( int nLanes, float radius, float angle ) ;
Track *     createRightCurvedTrack( int nLanes, float radius, float angle ) ;
/* END PROTOTYPES curved.c */

#endif /* !_CURVED_H_ */
