/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef	_PLAYMODE_H_
#define	_PLAYMODE_H_

/* BEGIN PROTOTYPES playmode.c */
void    autoSkillLevelCB( Widget w, XtPointer clientData,
            XtPointer callData ) ;
void    coursePreview( char *description, Widget courseForm ) ;
void    createPlayModeChooser( Widget parent ) ;
void    createSelectionList( char *title, Widget parent, Widget *list,
            int nButtons, Widget *button, char **labels, Arg pArgs[],
            int pN ) ;
void    endSoloGame( void ) ;
void    pickSkillLevelCB( Widget w, XtPointer clientData,
            XtPointer callData ) ;
void    showSoloResults( char position[] ) ;
void    showTeamResults( char position[] ) ;
void    startTeamModeCB( Widget w, XtPointer clientData, XtPointer callData ) ;
/* END PROTOTYPES playmode.c */

#endif /* !_PLAYMODE_H_ */
