/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef	_QUICKCULL_H
#define	_QUICKCULL_H

typedef struct	_qcDetail	*qcDetail ;

#define	QC_CULLED	(-1)

/* BEGIN PROTOTYPES quickcull.c */
qcDetail    qcCreateDetail( int minLod, int maxLod, float minZ, float maxZ,
                float radius ) ;
int         qcCull( float v[3], qcDetail qcd ) ;
void        qcDraw( float z ) ;
int         qcInit( float w, float h, float zNear, float zFar ) ;
void        qcSetLodRange( qcDetail d, int minLod, int maxLod ) ;
int         qcSetView( float rEye[3], float vL[3], float vW[3], float vH[3] ) ;
/* END PROTOTYPES quickcull.c */

#endif /* _QUICKCULL_H */
