/*
 * Copyright (C) 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef	_SOLO_H_
#define	_SOLO_H_

/* BEGIN PROTOTYPES solo.c */
void    autoFinishCar( int i, float raceTime ) ;
void    checkCarFinishes( int laps, float *timeList, int trial ) ;
void    computePositions( char *position, int laps ) ;
void    doAllCars( float t, int laps, int timeTrial ) ;
void    giveUpRace( void ) ;
void    initRobotNames( void ) ;
void    initSoloCars( int resetPosition ) ;
void    initSoloGame( int skipTrial ) ;
float   setRobotChars( float factor ) ;
void    showFinishMessage( void ) ;
void    soloLoop( void ) ;
/* END PROTOTYPES solo.c */

#endif /* !_SOLO_H_ */
